<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFiles2 Method (IEdmBatchListing4)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchListing4 Interface : GetFiles2 Method (IEdmBatchListing4)

Visual Basic
C#
C++/CLI

ppoFiles
  Array of EdmListFile2 structures; one structure for each file in the listing

Gets all the files in this listing.

# Syntax

Visual Basic |
--- | ---

    Sub GetFiles2( _
       ByRef ppoFiles() As EdmListFile2 _
    )

C# |
--- | ---

    void GetFiles2(
       out EdmListFile2[] ppoFiles
    )

C++/CLI |
--- | ---

    void GetFiles2(
    &   [Out] array<EdmListFile2>^ ppoFiles
    )

#### Parameters

ppoFiles
  Array of EdmListFile2 structures; one structure for each file in the listing

# Example

Get File References for a File (C#)
Get File References for a File (VB.NET)

# Remarks

This method does not work with assemblies that contain weldment components or cutlist items.

Before calling this method, call IEdmBatchListing2::CreateListEx.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchListing4 Interface
IEdmBatchListing4 Members

# Availability

SOLIDWORKS PDM Professional 2017